# binaryninja.lineardisassembly.LinearDisassemblyPosition

class `binaryninja.lineardisassembly.``LinearDisassemblyPosition`(func, block, addr)

  `class LinearDisassemblyPosition` is a helper object containing the position of the current Linear Disassembly.

  Note

  This object should not be instantiated directly. Rather call `get_linear_disassembly_position_at()` which instantiates this object.

  `__init__`(func, block, addr)

  Methods

  `__init__`(func, block, addr) |